Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Sms.PROPERTY

    java.lang.Object
      java.lang.Enum<Sms.PROPERTY>
          com.skype.api.Sms.PROPERTY

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Sms.PROPERTY>

Enclosing class:
  Sms

    public static enum Sms.PROPERTY

extends java.lang.Enum<Sms.PROPERTY>

Properties of the Sms class

Enum Constant Summary
`body` actual payload, type: String
`chatmsg_id` reference to Message, type: Message
`failurereason` Set asynchronously and meaningful only after invoking Conversation.PostSMS and detecting Sms.STATUS of SOME_TARGETS_FAILED or FAILED.
`is_failed_unseen` set to 1 when status goes to FAILED.
`price` The total price of sending this SMS message (sum of the individual prices to send to each recipient).
`price_currency` should be same as account currency at the time of composing/sending, type: String
`price_precision` The decimal precision of the SMS price values, both individual and total.
`reply_to_number` number that should receive the replies, type: String
`status` type: STATUS
`target_numbers` space-separated normalised pstn numbers, type: String
`target_statuses` binary blob.
`timestamp` unix timestamp of message submission, type: int
`type` type: TYPE

Method Summary
`static Sms.PROPERTY` | `fromString(java.lang.String s)`
`static Sms.PROPERTY` | `get(int code)`
`int` | `getId()`
`static Sms.PROPERTY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Sms.PROPERTY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### type

    public static final Sms.PROPERTY type

  type: TYPE

### status

    public static final Sms.PROPERTY status

  type: STATUS

### failurereason

    public static final Sms.PROPERTY failurereason

  Set asynchronously and meaningful only after invoking Conversation.PostSMS and detecting Sms.STATUS of SOME_TARGETS_FAILED or FAILED.
  , type: FAILUREREASON

### is_failed_unseen

    public static final Sms.PROPERTY is_failed_unseen

  set to 1 when status goes to FAILED. use MarkSeen() to clear, type: boolean

### timestamp

    public static final Sms.PROPERTY timestamp

  unix timestamp of message submission, type: int

### price

    public static final Sms.PROPERTY price

  The total price of sending this SMS message (sum of the individual prices to send to each recipient). Defaults to -1 on instantiation and incremented by the price for each recipient once that recipient's status reflects TARGET_ACCEPTABLE. Use Sms.GetTargetPrice to retrieve individual target prices.
  A value of MAX_UINT indicates that SkypeKit is actively querying and/or updating the value. Note that P_PRICE is an integer value. Calculate the actual price (in units specified by P_PRICE_CURRENCY) using P_PRICE_PRECISION as:
  @code
  actualPrice = price / 10^pricePrecision;
  , type: int

### price_precision

    public static final Sms.PROPERTY price_precision

  The decimal precision of the SMS price values, both individual and total. For example, a value of 2 indicates that you should divide the price (represented as an integer) by 100 (10^2) to obtain the actual price.
  , type: int

### price_currency

    public static final Sms.PROPERTY price_currency

  should be same as account currency at the time of composing/sending, type: String

### reply_to_number

    public static final Sms.PROPERTY reply_to_number

  number that should receive the replies, type: String

### target_numbers

    public static final Sms.PROPERTY target_numbers

  space-separated normalised pstn numbers, type: String

### target_statuses

    public static final Sms.PROPERTY target_statuses

  binary blob. track with OnPropertyChange(), access with GetTargetStatus(target), type: byte[]

### body

    public static final Sms.PROPERTY body

  actual payload, type: String

### chatmsg_id

    public static final Sms.PROPERTY chatmsg_id

  reference to Message, type: Message

Method Detail

### values

    public static Sms.PROPERTY[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Sms.PROPERTY c : Sms.PROPERTY.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Sms.PROPERTY valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Sms.PROPERTY get(int code)

### fromString

    public static Sms.PROPERTY fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.